---
search:
  tags:
    - Customer Groups
    - GET
seo:
  description: >-
    Get a customer group with its… Reference for the GET
    /api/v1/{team_slug}/{app_slug}/customer-groups/{customer_group_id} endpoint
    in the Management API.
sidebar:
  label: Get a customer group
  badge: GET
title: Get a customer group
type: openapi-operation
---
Get a customer group with its details and discount and/or store group configuration.

`GET /api/v1/{team_slug}/{app_slug}/customer-groups/{customer_group_id}`

**Responses**

- `200` — Got Customer group successfully
- `400` — Invalid request (e.g. id not uuid)
- `401` — Unauthorized access
- `404` — Not found
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "app_id": "string",
    "created_at": "string",
    "discount_percentage": 0,
    "discount_percentage_decimals": 0,
    "id": "string",
    "merchant_users": [
      {
        "email": "string",
        "id": "string"
      }
    ],
    "merchant_users_total": 0,
    "name": "string",
    "organisations": [
      {
        "id": "string",
        "name": "string"
      }
    ],
    "organisations_total": 0,
    "slug": "string",
    "store_group_id": "string",
    "type": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
